* {
    box-sizing: border-box;
}
body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;    
}

.container {
    width: 96%;
    margin: 0 auto;  
}
@media (min-width: 768px) {
    .container {
        width: 720px;
    }
}

@media (min-width: 1024px) {
    .container {
        width: 960px;
    }
}

header h1 {
    font-family: 'Shadows Into Light', cursive;
    margin: 50px 0;
    font-size: 64px;
    font-weight: bold;
    text-align: center;
}

.modal {
    position: absolute; 
    margin: 0 auto;
    top: 40vh;
    left: 0;
    right: 0;
    width: 90%;
    margin: 0 auto;
    background: white;
    padding: 18px;
    margin-bottom: 25px;
    border: 2px solid black;
    border-radius: 10px;
    z-index: 2;
}

.modal-buttons {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-top: 18px;
}

.modal-button-return, .modal-button-apply {
    width: 10%;
    height: 3em;
    border: 1px solid black;
    border-radius: 10px;
    background: none;
    cursor: pointer;
    outline: none;
}

.modal-display-on {
    display: block;
}

.modal-display-off {
    display: none;
}

.todo-form {
    display: flex;
    padding: 18px;
    margin-bottom: 25px;
    border: 2px solid black;
    border-radius: 10px;
    justify-content: space-between;
}

.todo-form-text, .modal-text {
    height: 3em;
    padding-left: 10px;
    padding-right: 10px;
    border: 1px solid black;
    border-radius: 5px;
    overflow-y: auto;
}
.todo-form-text {
    width: 85%;
}
.modal-text {
    width: 100%;
}

.todo-form-button {
    width: 15%;
    margin-left: 10px;
    border: 1px solid black;
    border-radius: 10px;
    background: none;
    cursor: pointer;
}

.todo-list-content {
    padding: 18px;
    border: 2px solid black;
    border-radius: 10px;
}

.todo-list-content h2 {
    margin: 0 0 0 10px;
}
.todo-element {
    margin-top: 10px;
    padding: 15px;
    border: 1px solid black;
    border-radius: 10px;
}

.todo-element-bar {
    display: flex;
    justify-content: space-between;
}

.todo-element-buttons {
    display: flex;
    width: 20%;
    justify-content: space-between;
}

.todo-element-buttons button {
    width: 30%;
    border: 1px solid black;
    background: none;
    cursor: pointer;
    outline: none;
}

.todo-element-confirm .todo-element-modify .todo-element-delete {
    pointer-events: none;
}

.todo-element-confirm-checked {
    background-color: #9ACD32;
    color: rgba(0,0,0,0.3);
}

.todo-element-text {
    margin-top: 10px;
}

